Bug 1411091 - make corebird a bit more quiet in the log when network is off
Summary: make corebird a bit more quiet in the log when network is off
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: corebird
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ryan Lerch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 10:37 UTC by Fabrice Bellet
Modified: 2017-02-06 01:48 UTC (History)
2 users (show)

Fixed In Version: corebird-1.4.2-1.fc25 corebird-1.4.2-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 21:20:23 UTC
Type: Bug


Attachments (Terms of Use)
UserStream: silent warning when network is offline (823 bytes, application/mbox)
2017-01-08 10:37 UTC, Fabrice Bellet
no flags Details

Description Fabrice Bellet 2017-01-08 10:37:30 UTC
Created attachment 1238338 [details]
UserStream: silent warning when network is offline

Hi!

I noticed that corebird has a tendency to fill the log at a high rate with a warning message, when the network connectivity is offline :

Jan  1 17:12:39 gandi-2 org.baedert.corebird: ** (corebird:23670): WARNING **: UserStream.vala:216: buf(fbellet) == NULL. Starting timeout...
Jan  1 17:12:40 gandi-2 org.baedert.corebird: ** (corebird:23670): WARNING **: UserStream.vala:216: buf(fbellet) == NULL. Starting timeout...
Jan  1 17:12:41 gandi-2 org.baedert.corebird: ** (corebird:23670): WARNING **: UserStream.vala:216: buf(fbellet) == NULL. Starting timeout...
Jan  1 17:12:42 gandi-2 org.baedert.corebird: ** (corebird:23670): WARNING **: UserStream.vala:216: buf(fbellet) == NULL. Starting timeout...
Jan  1 17:12:43 gandi-2 org.baedert.corebird: ** (corebird:23670): WARNING **: UserStream.vala:216: buf(fbellet) == NULL. Starting timeout...
Jan  1 17:12:44 gandi-2 org.baedert.corebird: ** (corebird:23670): WARNING **: UserStream.vala:216: buf(fbellet) == NULL. Starting timeout...
Jan  1 17:12:45 gandi-2 org.baedert.corebird: ** (corebird:23670): WARNING **: UserStream.vala:216: buf(fbellet) == NULL. Starting timeout...
Jan  1 17:12:46 gandi-2 org.baedert.corebird: ** (corebird:23670): WARNING **: UserStream.vala:216: buf(fbellet) == NULL. Starting timeout...
Jan  1 17:12:47 gandi-2 org.baedert.corebird: ** (corebird:23670): WARNING **: UserStream.vala:216: buf(fbellet) == NULL. Starting timeout...

Maybe we could replace this warning() statement with a debug() one ?

Comment 1 Timm Bäder 2017-01-10 18:10:42 UTC
Done: https://github.com/baedert/corebird/commit/cc536e31e7e3f5b678541fc93fa5fb278976fb53

Unfortunately I didn't see that you attached a patch here and already pushed it myself, sorry :(

Comment 2 Fedora Update System 2017-01-27 22:00:04 UTC
corebird-1.4.2-1.fc24 corebird-1.4.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2abc28f63e

Comment 3 Fedora Update System 2017-01-27 22:01:32 UTC
corebird-1.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-86f2986861

Comment 4 Fedora Update System 2017-01-29 02:21:44 UTC
corebird-1.4.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2abc28f63e

Comment 5 Fedora Update System 2017-01-29 02:22:34 UTC
corebird-1.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-86f2986861

Comment 6 Fedora Update System 2017-02-01 21:20:23 UTC
corebird-1.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-02-06 01:48:57 UTC
corebird-1.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.